
ScalES-PPM - Task #260

Task # 258 (Assigned): Produce release-ready version of ScalES-PPM

Investigate wether the library contains symbols not conforming to the PPM-prefix requirement and

fix violations

03/24/2011 05:24 PM - Thomas Jahns

Status: Resolved Start date: 03/24/2011

Priority: Normal Due date: 03/25/2011

Assignee: Thomas Jahns % Done: 50%

Category:  Estimated time: 4:00 hours

Target version:    

Description

The result is yes, and it will need some work to fix, mostly in the hands of Thomas and Florian.

History

#1 - 03/24/2011 05:25 PM - Thomas Jahns

- Status changed from New to Assigned

#2 - 03/24/2011 05:55 PM - Thomas Jahns

The following symbols are in violation:

procedure initialize_irand commit:6bed5ec69

module statistics commit:9701bdc

solver_internal

abort_unless_normal0

abort_unless_normal1

abort_unless_normal2

abort_unless_normal3

clear_halos

config

int2str

mpi_real_dp

stencil

ieee_is_normal_dp commit:2e395f1

ieee_is_normal_sp commit:2e395f1

solver_config

apply_shifted_stencil

apply_stencil

get_lambda_min_max

get_shift

get_ssor_param

init_solver

reset_shift

set_lambda_min_max

set_shift

set_ssor_param

set_stencil

stencil_defined

linear_algebra

arr_dotproduct1

arr_dotproduct2

arr_norm_2

calc_abs_res

calc_rel_res

global_sum

spectral_methods

calc_lambda_max

calc_lambda_min

calc_lambda_min_max

calc_optimal_sor_param

jacobi_iter

power_method

solvers

cg_method

chebyshev_method
precond_cg_method

precond_chebyshev_method

schwarz_method

preconditioners

icc

icc_c

icc_precond_shifted_stencil

icc_precond_stencil

icc_s

icc_w

identity

ilu0

ilu0_diag

ilu0_precond_shifted_stencil

ilu0_precond_stencil

jacobi

jacobi_diag

jacobi_precond_shifted_stencil

jacobi_precond_stencil

micc

micc_c

micc_precond_shifted_stencil

micc_precond_stencil

precond_prepared

prep_icc

prep_ilu0

prep_jacobi

prep_micc

ssor

ssor_precond_shifted_stencil

ssor_precond_stencil

solver_all

solve

IRand commit:6bed5ec69

aIRand commit:6bed5ec69

a_rand_i commit:6bed5ec69

initIRand_f commit:6bed5ec69

irand commit:6bed5ec69

sprintExt commit:918fcb83

sprint_ext commit:918fcb83

sprint_sext commit:9815da9e71

sprintSExt commit:9815da9e71

ParMETIS_V3_PartKway_Wrapper

#3 - 03/24/2011 05:57 PM - Thomas Jahns

- Subject changed from Investigate wether the library contains symbols not conforming to the PPM-prefix requirement to Investigate wether the library

contains symbols not conforming to the PPM-prefix requirement and fix violations

- Status changed from Assigned to Resolved

- % Done changed from 0 to 50

- Estimated time changed from 2:00 h to 4:00 h
